Retrieve product media
curl --request GET \
--url https://library-backend.dashsocial.com/public/brands/{brand_id}/products/mediaimport requests
url = "https://library-backend.dashsocial.com/public/brands/{brand_id}/products/media"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://library-backend.dashsocial.com/public/brands/{brand_id}/products/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"brand_id": 123,
"media_id": 123,
"type": "instagram_owned",
"duration": "<unknown>",
"hide_in_widget": "<unknown>",
"image_sizes": "<unknown>",
"media_group": "<string>",
"media_type": "<unknown>",
"original_height": "<string>",
"original_width": "<string>",
"predictions": "<unknown>",
"products": [
{
"bounding_box": null,
"created_at": "2023-11-07T05:31:56Z",
"deleted": 123,
"deleted_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"hide_in_widget": 123,
"id": 123,
"image_url": "<string>",
"product": {
"brand_id": 123,
"title": "<string>",
"url": "<string>",
"archived": true,
"availability": "<string>",
"category": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency_code": "<string>",
"description": "<string>",
"google_source_id": "<string>",
"has_edits": 123,
"id": 123,
"image_url": "<string>",
"is_disabled": 123,
"is_in_stock": "in stock",
"last_updated_by_product_feed_at": "2023-11-07T05:31:56Z",
"original_url": "<string>",
"price": "<string>",
"product_overrides": [
{
"brand_id": 123,
"override": "<string>",
"source_id": "<string>",
"availability": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency_code": "<string>",
"description": "<string>",
"id": 123,
"image_url": "<string>",
"last_updated_by_product_feed_at": "2023-11-07T05:31:56Z",
"original_url": "<string>",
"price": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"source_group_id": "<string>",
"source_id": "<string>",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"product_groups": [
{
"country_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"image_url": "<string>",
"source_id": "<string>",
"title": "<string>",
"url": "<string>"
}
],
"product_id": 123,
"source_id": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"x": 123,
"y": 123
}
],
"source_data": "<unknown>",
"urls": "<unknown>",
"video_sizes": "<unknown>"
}
]{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Product
Retrieve product media
Returns media associated with products for a brand. No authentication required.
GET
/
public
/
brands
/
{brand_id}
/
products
/
media
Retrieve product media
Path Parameters
The Dash Social assigned ID of the brand.
Query Parameters
Source ID of the product (SKU or brand's product ID).
Request true if there are multiple product rows with the same source_id, otherwise only the first will be returned.
Source ID of the catalog/collection the product belongs to.
Request true to order results by the most recent source media created date.
Response
OK
Available options:
instagram_owned, INSTAGRAM_OWNED, instagram_ugc, INSTAGRAM_UGC, instagram_other, INSTAGRAM_OTHER, instagram_owned_igtv, INSTAGRAM_OWNED_IGTV, instagram_ugc_igtv, INSTAGRAM_UGC_IGTV, instagram_other_igtv, INSTAGRAM_OTHER_IGTV, instagram_story, INSTAGRAM_STORY, instagram_story_ugc, INSTAGRAM_STORY_UGC, instagram_ads, INSTAGRAM_ADS, uploaded, UPLOADED, edited, EDITED, ai_generated, AI_GENERATED, pinterest_owned, PINTEREST_OWNED, pinterest_story, PINTEREST_STORY, pinterest_ugc, PINTEREST_UGC, facebook_owned, FACEBOOK_OWNED, facebook_ads, FACEBOOK_ADS, facebook_post_ad, FACEBOOK_POST_AD, facebook_post_ad_l, FACEBOOK_POST_AD_L, facebook_post_ad_t, FACEBOOK_POST_AD_T, facebook_post_ad_tl, FACEBOOK_POST_AD_TL, facebook_link, FACEBOOK_LINK, facebook_text_link, FACEBOOK_TEXT_LINK, facebook_text, FACEBOOK_TEXT, facebook_other, FACEBOOK_OTHER, facebook_other_text, FACEBOOK_OTHER_TEXT, facebook_other_tl, FACEBOOK_OTHER_TL, facebook_other_link, FACEBOOK_OTHER_LINK, twitter_owned, TWITTER_OWNED, twitter_owned_link, TWITTER_OWNED_LINK, twitter_owned_text, TWITTER_OWNED_TEXT, twitter_ugc, TWITTER_UGC, twitter_ugc_link, TWITTER_UGC_LINK, twitter_ugc_text, TWITTER_UGC_TEXT, twitter_other, TWITTER_OTHER, twitter_other_link, TWITTER_OTHER_LINK, twitter_other_text, TWITTER_OTHER_TEXT, tiktok_owned, TIKTOK_OWNED, tiktok_ugc, TIKTOK_UGC, tiktok_other, TIKTOK_OTHER, tiktok_ad_owned, TIKTOK_AD_OWNED, youtube_owned, YOUTUBE_OWNED, youtube_ugc, YOUTUBE_UGC, youtube_other, YOUTUBE_OTHER, linkedin_owned, LINKEDIN_OWNED, threads_owned, THREADS_OWNED, snapchat_owned_story, SNAPCHAT_OWNED_STORY, snapchat_owned_saved_story, SNAPCHAT_OWNED_SAVED_STORY, snapchat_owned_spotlight, SNAPCHAT_OWNED_SPOTLIGHT, snapchat_owned_snap, SNAPCHAT_OWNED_SNAP Show child attributes
Show child attributes